<template>
  <div class="mh-page">
    <h1 :class="titleClasses">Webpack / i18n / vuex</h1>
    <img class="image" src="@/assets/images/webpack-icon.svg" />
  </div>
</template>

<script>
export default {
  name: 'MhPage',

  computed: {
    titleClasses() {
      const BASE_CLASS = 'mh-page__title'

      return [BASE_CLASS, BASE_CLASS + '_color_' + this.$store.state.colors.color]
    }
  }
}
</script>

<style lang="scss" scope>
.mh-page {
  box-sizing: border-box;
  width: 100%;
  padding: 0 $base-layout-padding;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  &__title {
    position: relative;
    font-family: Roboto;
    font-size: 4vw;
    margin-top: 0;

    &::before {
      content: '';
      animation: highlight 6s linear infinite;
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 2vw;
      background-color: #ffffffb4;
      transform: translateX(-4vw) skewX(-45deg);
    }

    &_color {
      &_darken {
        color: $darken;
      }

      &_red{
        color: $red;
      }

      &_orange {
        color: $orange;
      }

      &_blue {
        color: $blue;
      }
    }
  }

  .image {
    width: 25vw;
    height: 25vw;
    object-fit: contain;
    animation: rotate 6s ease infinite;
  }
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  50% {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

@keyframes highlight {
  from {
    transform: translateX(-4vw) skewX(-45deg);
  }

  90% {
    transform: translateX(-4vw) skewX(-45deg);
  }

  to {
    transform: translateX(40vw) skewX(-45deg);
  }
}
</style>
